Calendars
Calendars and the events on them.
- GET
/calendars - POST
/calendars - GET
/calendars/{id} - PATCH
/calendars/{id} - DELETE
/calendars/{id} - GET
/calendars/{id}/events - POST
/calendars/{id}/events - GET
/calendars/{id}/events/{eventId} - PATCH
/calendars/{id}/events/{eventId} - DELETE
/calendars/{id}/events/{eventId} - POST
/calendars/meeting
List calendars
GET
/calendarsScope
calendars:viewRead-onlyResponses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/calendars" \ -H "Authorization: Bearer $KLERC_TOKEN"Create a calendar
POST
/calendarsScope
calendars:useWrites dataRequest body
| Field | Type |
|---|---|
namerequired | string |
Responses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X POST "https://api.klerc.co/api/v1/calendars" \ -H "Authorization: Bearer $KLERC_TOKEN" \ -H "Content-Type: application/json" \ -d '{"name":"…"}'Get a calendar
GET
/calendars/{id}Scope
calendars:viewRead-onlyPath parameters
| Name | Type |
|---|---|
idrequired | string |
Responses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/calendars/{id}" \ -H "Authorization: Bearer $KLERC_TOKEN"Update a calendar
PATCH
/calendars/{id}Scope
calendars:useWrites dataPath parameters
| Name | Type |
|---|---|
idrequired | string |
Responses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X PATCH "https://api.klerc.co/api/v1/calendars/{id}" \ -H "Authorization: Bearer $KLERC_TOKEN"Delete a calendar
DELETE
/calendars/{id}Scope
calendars:useWrites dataPath parameters
| Name | Type |
|---|---|
idrequired | string |
Responses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X DELETE "https://api.klerc.co/api/v1/calendars/{id}" \ -H "Authorization: Bearer $KLERC_TOKEN"List events in a calendar
GET
/calendars/{id}/eventsScope
calendars:viewRead-onlyPath parameters
| Name | Type |
|---|---|
idrequired | string |
Responses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/calendars/{id}/events" \ -H "Authorization: Bearer $KLERC_TOKEN"Create a calendar event
POST
/calendars/{id}/eventsScope
calendars:useWrites dataPath parameters
| Name | Type |
|---|---|
idrequired | string |
Request body
| Field | Type |
|---|---|
title | string |
start | string |
end | string |
Responses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X POST "https://api.klerc.co/api/v1/calendars/{id}/events" \ -H "Authorization: Bearer $KLERC_TOKEN" \ -H "Content-Type: application/json" \ -d '{"title":"…","start":"…","end":"…"}'Get a calendar event
GET
/calendars/{id}/events/{eventId}Scope
calendars:viewRead-onlyPath parameters
| Name | Type |
|---|---|
idrequired | string |
eventIdrequired | string |
Responses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/calendars/{id}/events/{eventId}" \ -H "Authorization: Bearer $KLERC_TOKEN"Update a calendar event
PATCH
/calendars/{id}/events/{eventId}Scope
calendars:useWrites dataPath parameters
| Name | Type |
|---|---|
idrequired | string |
eventIdrequired | string |
Responses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X PATCH "https://api.klerc.co/api/v1/calendars/{id}/events/{eventId}" \ -H "Authorization: Bearer $KLERC_TOKEN"Delete a calendar event
DELETE
/calendars/{id}/events/{eventId}Scope
calendars:useWrites dataPath parameters
| Name | Type |
|---|---|
idrequired | string |
eventIdrequired | string |
Responses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X DELETE "https://api.klerc.co/api/v1/calendars/{id}/events/{eventId}" \ -H "Authorization: Bearer $KLERC_TOKEN"Create a meeting link
POST
/calendars/meetingScope
calendars:useWrites dataResponses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X POST "https://api.klerc.co/api/v1/calendars/meeting" \ -H "Authorization: Bearer $KLERC_TOKEN"